Bug 552963 - [abrt] crash detected in Miro-2.5.4-1.fc12
Summary: [abrt] crash detected in Miro-2.5.4-1.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Miro
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:50bcac5e
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-06 17:03 UTC by antonio montagnani
Modified: 2010-09-15 05:51 UTC (History)
4 users (show)

Fixed In Version: Miro-3.0.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-14 05:03:25 UTC


Attachments (Terms of Use)
File: backtrace (1.42 KB, text/plain)
2010-01-06 17:03 UTC, antonio montagnani
no flags Details

Description antonio montagnani 2010-01-06 17:03:12 UTC
abrt 1.0.0 detected a crash.

backtrace
-----
Summary: TB50bcac5e tablistmanager.py:89:which_tablist_has_id:ValueError: Unknown feed id.  9

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/gtk/weakconnect.py", line 49, in handle_callback
    return real_method(obj, *(args + self.user_args))
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/gtk/tableview.py", line 884, in on_button_release
    hotspot_tracker.iter)
  File "/usr/lib/python2.6/site-packages/miro/signals.py", line 155, in emit
    if callback.invoke(self, args):
  File "/usr/lib/python2.6/site-packages/miro/signals.py", line 89, in invoke
    return callback(obj, *(args + self.extra_args))
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/itemlistcontroller.py", line 275, in on_hotspot_clicked
    base_href = widgetutil.get_feed_info(item_info.feed_id).base_href
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/widgetutil.py", line 325, in get_feed_info
    tablist = app.tab_list_manager.which_tablist_has_id(feed_id)
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/tablistmanager.py", line 89, in which_tablist_has_id
    raise ValueError("Unknown feed id.  %s" % feed_id)
ValueError: Unknown feed id.  9

Local variables in innermost frame:
tablist: <miro.frontends.widgets.tablist.AudioFeedList object at 0x9cbb64c>
feed_id: 9
self: <miro.frontends.widgets.tablistmanager.TabListManager object at 0xb5bdc96c>

cmdline: /usr/bin/python /usr/bin/miro.real 
component: Miro
executable: /usr/bin/miro.real
kernel: 2.6.31.9-174.fc12.i686.PAE
package: Miro-2.5.4-1.fc12
uuid: 50bcac5e

Comment 1 antonio montagnani 2010-01-06 17:03:16 UTC
Created attachment 382027 [details]
File: backtrace

Comment 2 Alex Lancaster 2010-01-06 23:20:38 UTC
Can you reliably reproduce this?  Please describe the exact conditions that lead to the crash.  Crash reports without detailed information describing exactly how to reproduce the bug are almost impossible to fix.

Comment 3 Ben Dean-Kawamura 2010-05-05 20:28:24 UTC
I created http://bugzilla.pculture.org/show_bug.cgi?id=13310 for this bug.  I'm not sure how to reproduce it, but I think it's a race condition between the user deleting a feed and clicking on a link in one of the feed's item descriptions.

Comment 4 Alex Lancaster 2010-05-30 03:43:18 UTC
(In reply to comment #3)
> I created http://bugzilla.pculture.org/show_bug.cgi?id=13310 for this bug.  I'm
> not sure how to reproduce it, but I think it's a race condition between the
> user deleting a feed and clicking on a link in one of the feed's item
> descriptions.    

Which version will this most likely be fixed in?

Comment 5 Ben Dean-Kawamura 2010-05-31 02:57:45 UTC
This should be in 3.1.

Comment 6 Fedora Update System 2010-08-29 17:18:47 UTC
Miro-3.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 7 Fedora Update System 2010-08-29 17:25:53 UTC
Miro-3.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13

Comment 8 Fedora Update System 2010-08-29 17:29:58 UTC
Miro-3.0.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc12

Comment 9 Fedora Update System 2010-08-30 19:40:29 UTC
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 10 will kahn-greene 2010-08-30 21:25:24 UTC
I'm pretty sure this will be fixed for Miro 3.5.

Comment 11 Fedora Update System 2010-09-14 05:01:21 UTC
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-09-15 05:33:21 UTC
Miro-3.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-09-15 05:48:29 UTC
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.